VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::ovf::OvfMessage::Category Class Reference

The `OvfMessage.Category` enumerated type defines the categories of messages (see OvfMessage ). More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, VALIDATION, INPUT, SERVER }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static Category[] | GetValues ()
static Category | ValueOf (string name)
## Static Public Attributes
static readonly Category | VALIDATION = new Category("VALIDATION", Values.VALIDATION)
| The OVF descriptor is invalid, for example, syntax errors or schema errors.
static readonly Category | INPUT = new Category("INPUT", Values.INPUT)
| The user provided input parameters are invalid.
static readonly Category | SERVER = new Category("SERVER", Values.SERVER)
| Server error.

## Detailed Description

The `OvfMessage.Category` enumerated type defines the categories of messages (see OvfMessage ).

## Member Enumeration Documentation

enum vmware::vcenter::ovf::OvfMessage::Category::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  VALIDATION | The OVF descriptor is invalid, for example, syntax errors or schema errors.
  INPUT | The user provided input parameters are invalid.
  SERVER | Server error.

## Member Function Documentation

Values vmware::vcenter::ovf::OvfMessage::Category::GetEnumValue | ( |  | ) | `[inline]`

static Category [] vmware::vcenter::ovf::OvfMessage::Category::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::ovf::OvfMessage::Category::IsUnknown | ( |  | ) | `[inline]`

static Category vmware::vcenter::ovf::OvfMessage::Category::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly Category vmware::vcenter::ovf::OvfMessage::Category::INPUT = new Category("INPUT", Values.INPUT)`[static]`

The user provided input parameters are invalid.

readonly Category vmware::vcenter::ovf::OvfMessage::Category::SERVER = new Category("SERVER", Values.SERVER)`[static]`

Server error.

readonly Category vmware::vcenter::ovf::OvfMessage::Category::VALIDATION = new Category("VALIDATION", Values.VALIDATION)`[static]`

The OVF descriptor is invalid, for example, syntax errors or schema errors.

The documentation for this class was generated from the following file:

- OvfMessage.cs